Bug 962027 - split off gstreamer plugins as subpackages
split off gstreamer plugins as subpackages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libnice (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 22:32 EDT by Matthias Clasen
Modified: 2013-05-14 10:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-14 10:33:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (2.09 KB, patch)
2013-05-10 22:32 EDT, Matthias Clasen
no flags Details | Diff

  None (edit)
Description Matthias Clasen 2013-05-10 22:32:15 EDT
Created attachment 746458 [details]
patch

libnice currently ties gstreamer 1.0 and 0.10 together like siamese twins, preventing us from reaching the goal of dropping 0.10. It would be nice to break out the gstreamer plugins as subpackages. 

I haven't investigated if the farstream packages need to have their requires adjusted to pull in the right subpackages.
Comment 1 Brian Pepple 2013-05-12 19:41:26 EDT
I believe the only adjustment needed to the farstream2 will be to add a Requires on the new libnice-gstreamer1 subpackage. I'll give this a closer look tomorrow to make sure that's the case. 

btw, are we targeting this only on Rawhide or F19 also?
Comment 2 Brian Pepple 2013-05-14 10:33:32 EDT
Fixed in libnice-0.1.4-1

Note You need to log in before you can comment on or make changes to this bug.